
/**************************************************************************
**									*
** File:	MODE5F.h	640x480 256 color graphics		*
** Description: This module contains constants used to initialize mode	*
**		dependent global varibles in module SELECT.ASM		*
**									*
**************************************************************************/

#define SCREEN_WIDTH	 	640	/*Screen width in pixels*/
#define SCREEN_PITCH	 	640	/*Screen width in bytes*/
#define SCREEN_HEIGHT	 	480	/*Screen height in raster lines*/
#define SCREEN_COLORS	 	256	/*Number of colors in this mode*/
#define SCREEN_PAGES	 	5	/*Number of last on-screen page*/
#define GRAPHICS_MODE	 	0x101	/*Mode number for graphics mode*/
#define TEXT_MODE	 	0x03	/*Mode number for text mode*/
#define CAN_DO_RW	 	0x03	/*Can do two independent pages*/

#define ERROR			1
#define	NOERROR			0

extern int textmode;	/* Global variable to indicate whether to write text */

