/*;************************************************************************
;*									*
;* File:	vga.h 						*
;* Description: Common definitions and segment setup			*
;*									*
;************************************************************************
;------------------------------------------------------------------------
; Register number definitions
;------------------------------------------------------------------------
*/

#define GRAPHICS_CTRL_PORT	 0x03CE	/*Graphics controller*/
#define GRAPHICS_DATA_PORT	 0x03CF	/*Graphics controller data*/

#define SET_RESET_REG		 0	/*Graphics controller registers*/
#define SR_ENABLE_REG		 1
#define COLOR_COMP_REG		 2
#define FN_SEL_REG		 3
#define READ_PLANE_REG		 4
#define MODE_REG		 5
#define MISC_REG		 6
#define COL_DONT_CARE_REG	 7
#define BIT_MASK_REG		 8

#define SEQUENCER_PORT		 0x03C4	/*Sequencer

#define PLANE_ENABLE_REG	 2	/*Write plane enable register*/

#define STATUS_REG	 	0x03DA		/*Status*/

#define DAC_READ_PORT	 	0x03C7		/*DAC lookup table read index*/
#define DAC_WRITE_PORT	 	0x03C8		/*DAC lookup table write index*/
#define LOOK_UP_DATA		0x03C9		/*DAC lookup table*/
