/************************************************************************
*				BITMAP.H				*
*		Macro definitions and declarations to implement a bit	*
*	mapping	scheme. Edit appropriately for new applications.	*
*									*
*************************************************************************/

#define	BITMAP_SIZE			4096
#define NUMBITS				16
#define	MAXVAL				BITMAP_SIZE*NUMBITS

#define	setbit(bitmap, n)		bitmap[n/16] |= (1 << (n%16))
#define	resetbit(bitmap, n)		bitmap[n/16] &= (~(1 << (n%16))
#define	isbitset(bitmap, n)		(bitmap[n/16] & (1 << (n%16)))
#define	bitmap_init(bitmap, size)	memset(bitmap, 0, size)

/*unsigned char bitmap[BITMAP_SIZE];*/
   
